import { CID } from "multiformats/cid";
import { IPFS } from "ipfs-core-types";
declare function readFromPubSub<T>(ipfs: IPFS, cid: string | CID, options?: {
    timeout?: number;
    links?: string[];
}): Promise<T | undefined>;
declare function readFromBlock(ipfs: IPFS, cid: string | CID, options?: {
    timeout?: number;
    links?: string[];
}): Promise<any>;
declare function read(ipfs: IPFS, cid: string | CID, options?: {
    timeout?: number;
    links?: string[];
}): Promise<any>;
declare function write(ipfs: IPFS, format: string, value: any, options?: {
    base?: any;
    pin?: boolean;
    timeout?: number;
    links?: string[];
    onlyHash?: boolean;
}): Promise<string>;
declare function rm(ipfs: IPFS, hash: CID | string): Promise<void>;
declare const _default: {
    read: typeof read;
    write: typeof write;
    readFromBlock: typeof readFromBlock;
    readFromPubSub: typeof readFromPubSub;
    rm: typeof rm;
    BLOCK_TRANSPORT_TOPIC: string;
};
export default _default;
